'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');
const provider_types = require('./provider.types-23fc9397.js');
const index$1 = require('./index-ce9a1d00.js');

const providerButtonCss = ":host{display:block;width:100%}.connect-button{display:flex;align-items:center;padding:12px;border-radius:12px;background:white;box-shadow:0 2px 6px rgba(0, 0, 0, 0.05);cursor:pointer;transition:background 0.3s ease}.connect-button:hover{background:#fafafa}.connect-icon{width:40px;height:40px;border-radius:8px;overflow:hidden;display:flex;align-items:center;justify-content:center;border:1px solid #ebe5df}.connect-icon img{width:100%;height:100%;object-fit:cover}.connect-label{flex:1;margin-left:12px;font-size:16px;font-weight:500}";
const ProviderButtonStyle0 = providerButtonCss;

const providerButtonInfo = {
    [provider_types.ProviderTypeEnum.extension]: {
        icon: index.h(index.Fragment, null),
        label: 'MultiversX Wallet Extension',
    },
    [provider_types.ProviderTypeEnum.metamask]: {
        icon: index.h(index.Fragment, null),
        label: 'Metamask Snap',
    },
    [provider_types.ProviderTypeEnum.passkey]: {
        icon: index.h(index.Fragment, null),
        label: 'Passkey',
    },
    [provider_types.ProviderTypeEnum.walletConnect]: {
        icon: index.h(index.Fragment, null),
        label: 'xPortal Wallet',
    },
    [provider_types.ProviderTypeEnum.ledger]: {
        icon: index.h(index.Fragment, null),
        label: 'Ledger',
    },
    [provider_types.ProviderTypeEnum.crossWindow]: {
        icon: index.h(index.Fragment, null),
        label: 'MultiversX Web Wallet',
    },
};
const ProviderButton = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const walletInfo = this.type ? providerButtonInfo[this.type] : null;
        if (!walletInfo) {
            return index.h(index.Fragment, null);
        }
        return index.h("unlock-button", { icon: walletInfo.icon, label: walletInfo.label });
    }
};
ProviderButton.style = ProviderButtonStyle0;

const unlockHeaderCss = ".header{display:flex;align-items:center;justify-content:space-between;padding:12px 16px;border-radius:8px;font-size:16px;font-weight:bold;color:#333;text-transform:capitalize}.icon-button{background:none;border:none;cursor:pointer;display:flex;align-items:center;padding:8px}.icon-button .icon{font-size:20px;color:#333;cursor:pointer}.title{flex:1;text-align:left}";
const UnlockHeaderStyle0 = unlockHeaderCss;

const UnlockHeader = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.back = index.createEvent(this, "back", 7);
        this.close = index.createEvent(this, "close", 7);
        this.closeIcon = index$1.faTimes;
        this.handleBack = () => {
            this.back.emit();
        };
        this.handleClose = () => {
            this.close.emit();
        };
    }
    render() {
        return (index.h("div", { key: '6011ca2eafdbf26b5066251b3bab487e693168a6', class: 'header' }, this.backIcon && (index.h("button", { key: 'db229733cba8c1a9f981b19552b2bb0f90103b6e', class: "icon-button", onClick: this.handleBack }, index.h("fa-icon", { key: 'fd6c0418eaeb6fc327bfd74040f76e8ef4a8b2c9', icon: this.backIcon }))), index.h("span", { key: 'c09b4ee34c9b4c453ae4ae39a06736bb5cbbe79a', class: "title" }, this.text), index.h("button", { key: 'a0e0a3ea287ad8b273541a18ca7836f68f4972df', class: "icon-button", onClick: this.handleClose }, index.h("fa-icon", { key: '6300e01cc88bf54b5d5c4668b77fe602a3aed882', icon: this.closeIcon }))));
    }
};
UnlockHeader.style = UnlockHeaderStyle0;

exports.provider_button = ProviderButton;
exports.unlock_header = UnlockHeader;

//# sourceMappingURL=provider-button_2.cjs.entry.js.map