'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');
const index$1 = require('./index-5a88e57b.js');
const dataTestIds_enum = require('./dataTestIds.enum-f00213b8.js');

const transactionsTableCss = ".transactions-table{width:100%;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb;overflow:auto;table-layout:auto}.transactions-table-header{background-color:#f9fafb}.transactions-table-header-cell{padding:0.75rem 1rem;text-align:left;font-size:0.75rem;line-height:1rem;font-weight:500;color:#6b7280;text-transform:uppercase;letter-spacing:0.05em;width:16.666667%}.transactions-table-body{background-color:#ffffff;border-top-width:1px;border-bottom-width:1px;border-color:#e5e7eb}.transactions-table-body-row{color:rgb(107 114 128)}.transactions-table-body-cell{padding:0.5rem;width:max-content}.transactions-table-body-cell>*{width:max-content}";
const TransactionsTableStyle0 = transactionsTableCss;

const COLUMNS = ['TxHash', 'Age', 'Shard', 'From', 'To', 'Method', 'Value'];
const TransactionsTable = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("table", { key: 'fa94e5d1b8273df412c75adae3497e89da992cad', class: index$1.classNames(this.class, 'transactions-table') }, index.h("thead", { key: '9063b1800e5c707567dd331298e898ffb3c44f94', class: "transactions-table-header" }, index.h("tr", { key: 'be22fefa73df74a38ba2a86128d13bd486e8110c' }, COLUMNS.map(column => (index.h("th", { key: column, scope: "col", class: "transactions-table-header-cell" }, column))))), index.h("tbody", { key: '80f5b6dbb21434496b76e725ea390d146cc26785', class: "transactions-table-body" }, this.transactions.map(transaction => (index.h("tr", { class: "transactions-table-body-row" }, index.h("td", { class: "transactions-table-body-cell" }, index.h("transaction-hash", { transaction: transaction })), index.h("td", { class: "transactions-table-body-cell" }, index.h("transaction-age", { age: transaction.age.timeAgo, tooltip: transaction.age.tooltip })), index.h("td", { class: "transactions-table-body-cell" }, index.h("transaction-shards", { transaction: transaction })), index.h("td", { class: "transactions-table-body-cell" }, index.h("transaction-account", { account: transaction.sender, dataTestId: dataTestIds_enum.DataTestIdsEnum.transactionSender, scope: "sender", showLockedAccounts: true })), index.h("td", { class: "transactions-table-body-cell" }, index.h("transaction-account", { account: transaction.receiver, dataTestId: dataTestIds_enum.DataTestIdsEnum.transactionReceiver, scope: "receiver", showLockedAccounts: true })), index.h("td", { class: "transactions-table-body-cell" }, index.h("transaction-method", { method: transaction.method.name, actionDescription: transaction.method.actionDescription })), index.h("td", { class: "transactions-table-body-cell" }, index.h("transaction-value", { value: transaction.value }))))))));
    }
};
TransactionsTable.style = TransactionsTableStyle0;

exports.transactions_table = TransactionsTable;

//# sourceMappingURL=transactions-table.cjs.entry.js.map