'use strict';

function format(first, middle, last) {
    return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}
const formatAddress = (value, maxLength = 25) => {
    if (!value)
        return value;
    const ellipsis = '...';
    if (value.length <= maxLength) {
        return value;
    }
    const lengthDiff = maxLength - ellipsis.length;
    const start = value.slice(0, Math.floor(lengthDiff / 2));
    const end = value.slice(-Math.ceil(lengthDiff / 2));
    return start + ellipsis + end;
};

exports.format = format;
exports.formatAddress = formatAddress;

//# sourceMappingURL=utils-ea4b6a17.js.map