import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { c as classNames } from './p-12360e4c.js';
import { d as defineCustomElement$1 } from './p-8cd3fb7f.js';

const transactionAccountNameCss = ".transaction-account-name{width:max-content}";
const TransactionAccountNameStyle0 = transactionAccountNameCss;

const TransactionAccountName = /*@__PURE__*/ proxyCustomElement(class TransactionAccountName extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        if (this.name) {
            return (h("div", { class: classNames('text-truncate', this.class, 'transaction-account-name'), "data-testid": this.dataTestId, title: this.description }, this.name));
        }
        return h("trim-text", { text: this.address, class: classNames(this.class, 'transaction-account-name'), dataTestId: this.dataTestId });
    }
    static get style() { return TransactionAccountNameStyle0; }
}, [1, "transaction-account-name", {
        "address": [1],
        "class": [1],
        "dataTestId": [1, "data-test-id"],
        "description": [1],
        "name": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-account-name", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-account-name":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionAccountName);
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionAccountName as T, defineCustomElement as d };

//# sourceMappingURL=p-1dd51043.js.map