import { p as proxyCustomElement, H, c as createEvent, h } from './p-8a2c7dab.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';

const ledgerConnectScreenCss = ".access-button{display:block;width:200px;margin:20px auto;padding:12px;background-color:#1a56db;color:white;border:none;border-radius:8px;cursor:pointer}.access-button:disabled{background-color:#a1a1a1;color:#e0e0e0;cursor:not-allowed;opacity:0.6;box-shadow:none;transform:none}.connection-link{display:flex;justify-content:center}";
const LedgerConnectScreenStyle0 = ledgerConnectScreenCss;

const LedgerConnectScreen = /*@__PURE__*/ proxyCustomElement(class LedgerConnectScreen extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.connect = createEvent(this, "connect", 7);
    }
    render() {
        var _a, _b, _c, _d;
        return (h("div", { key: '08fe03416fca00f63a2e653589ec45c8972cc5c9' }, ((_a = this.connectScreenData) === null || _a === void 0 ? void 0 : _a.error) && h("p", { key: '5eaa4d2a23f19ebe7ce71aa2e691dba9dffe2182' }, this.connectScreenData.error), ((_b = this.connectScreenData) === null || _b === void 0 ? void 0 : _b.customContentMarkup) && ((_c = this.connectScreenData) === null || _c === void 0 ? void 0 : _c.customContentMarkup), h("button", { key: '4fca2ae10bd0fb94e9c1036ce074e6d3fb4c0c7e', "data-testid": DataTestIdsEnum.ledgerConnectBtn, class: "access-button", onClick: () => this.connect.emit(), disabled: (_d = this.connectScreenData) === null || _d === void 0 ? void 0 : _d.disabled }, "Connect Ledger"), h("a", { key: 'fdf5f3204413be7230985f4b229e8fc21cdc57ca', href: "https://support.ledger.com/hc/en-us/articles/115005165269-Connection-issues-with-Windows-or-Linux", target: "_blank", rel: "noopener noreferrer", class: "connection-link" }, "Having connection issues?")));
    }
    static get style() { return LedgerConnectScreenStyle0; }
}, [1, "ledger-connect-screen", {
        "connectScreenData": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["ledger-connect-screen"];
    components.forEach(tagName => { switch (tagName) {
        case "ledger-connect-screen":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LedgerConnectScreen);
            }
            break;
    } });
}

export { LedgerConnectScreen as L, defineCustomElement as d };

//# sourceMappingURL=p-23e9fe20.js.map