import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { g as faCircleNotch, a as faCheck, b as faTimes } from './p-320b74c7.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { g as getIconHtmlFromIconDefinition } from './p-afa2d560.js';
import { d as defineCustomElement$4 } from './p-acf1174f.js';
import { d as defineCustomElement$3 } from './p-a9ddb8a4.js';
import { d as defineCustomElement$2 } from './p-a40ff0c9.js';
import { d as defineCustomElement$1 } from './p-8cd3fb7f.js';

const transactionToastDetailsBodyCss = ".transaction-container {\n  line-height: 1.5;\n  font-size: 0.875rem;\n  padding-right: 0.5rem;\n  display: flex;\n  align-items: center;\n  margin-bottom: 0.2rem;\n  justify-content: space-between;\n  --explorer-link-color: #6c757d;\n\n  .actions {\n    display: flex;\n    align-items: center;\n    gap: 0.75rem;\n  }\n\n  .icon {\n    svg {\n      font-size: 0.875rem;\n      color: #6c757d;\n      margin-right: 0.25rem;\n      width: 1rem;\n    }\n  }\n\n  .fa-spin {\n    svg {\n      animation: spin 2s linear infinite;\n    }\n  }\n\n  .trim {\n    width: 11rem;\n    white-space: nowrap;\n    margin-right: 1rem;\n  }\n}\n\n@keyframes spin {\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}";
const TransactionToastDetailsBodyStyle0 = transactionToastDetailsBodyCss;

const iconData = {
    pending: faCircleNotch,
    success: faCheck,
    fail: faTimes,
    invalid: faTimes,
};
const TransactionDetailsBody = /*@__PURE__*/ proxyCustomElement(class TransactionDetailsBody extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.transactionClass = 'transaction-container';
    }
    render() {
        const statusIcon = this.status ? iconData[this.status] : null;
        const iconHtml = statusIcon ? getIconHtmlFromIconDefinition(statusIcon) : null;
        return (h("div", { class: this.transactionClass, key: this.hash, "data-testid": DataTestIdsEnum.transactionDetailsToastBody }, iconHtml && (h("div", { key: 'b31a9d98c9c2e66dd46ab4975a85e5d301fdcd3f', innerHTML: iconHtml, class: classNames('icon', {
                'fa-spin': this.status === 'pending',
            }) })), h("span", { key: 'cc37f827e6a361b0f57ba57a4fd57d2983e6d3ed', class: "trim" }, h("trim-text", { key: 'c92ebde9d334563ce4543f7901eb552c5b0ef6a2', text: this.hash })), h("div", { key: 'c7dabc89abbeae4794ead247d0397750cb01a28a', class: "actions" }, h("copy-button", { key: '7d46e7f8fd1275a7f25c09dd50c269838ecd8b20', text: this.hash }), h("explorer-link", { key: '9c5a035045fb21adac3add20b517ca42046473f9', link: this.link }))));
    }
    static get style() { return TransactionToastDetailsBodyStyle0; }
}, [1, "transaction-toast-details-body", {
        "transactionClass": [1, "transaction-class"],
        "status": [1],
        "hash": [1],
        "link": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-details-body", "copy-button", "explorer-link", "fa-icon", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionDetailsBody);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionDetailsBody as T, defineCustomElement as d };

//# sourceMappingURL=p-52db4220.js.map