import { p as proxyCustomElement, H, c as createEvent, h } from './p-8a2c7dab.js';
import { b as faTimes } from './p-320b74c7.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { g as getIconHtmlFromIconDefinition } from './p-afa2d560.js';
import { g as getIconHtmlFromIconName } from './p-8088a7c7.js';
import { d as defineCustomElement$1 } from './p-7e20e430.js';

const simpleToastCss = ".content {\n  display: flex;\n  align-items: center;\n}\n\n.content-left {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n  padding-left: 0.5rem;\n  padding-right: 0.75rem;\n\n  &.no-icon {\n    display: none;\n  }\n}\n\n.content-icon {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 3rem;\n  height: 3rem;\n  border-radius: 50%;\n\n  svg {\n    height: auto;\n    width: 20px;\n\n    path {\n      fill: white;\n    }\n  }\n}\n\n.icon-close {\n  position: absolute;\n  right: 16px;\n  top: 16px;\n  font-size: 1.5rem;\n  font-weight: 700;\n  line-height: 1;\n  color: #000;\n  text-shadow: 0 1px 0 #fff;\n  opacity: 0.5;\n  padding: 0;\n  background-color: rgba(0, 0, 0, 0);\n  border: 0;\n  display: flex;\n  align-items: center;\n  margin: 0 0.5rem;\n  width: 12px;\n}\n\n.content-right {\n  display: flex;\n  flex-direction: column;\n  justify-content: center;\n  width: 100%;\n}\n\n.content-heading {\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  margin-bottom: 0.25rem;\n\n  h5 {\n    margin: 0;\n    margin-bottom: 0.5rem;\n    font-weight: 500;\n    line-height: 1.2;\n    font-size: 1.25rem;\n  }\n}\n\n.content-message {\n  margin-top: 0.25rem;\n  font-size: 1rem;\n  &.no-margin {\n    margin-top: 0rem;\n  }\n}\n\n.subtitle {\n  font-size: 0.9rem;\n  font-weight: 500;\n  color: #6c757d;\n}\n\n.success {\n  background-color: #5cb85c;\n}\n\n.warning {\n  background-color: #ffc107;\n}\n\n.danger {\n  background-color: #d9534f;\n}\n";
const SimpleToastStyle0 = simpleToastCss;

const SimpleToast = /*@__PURE__*/ proxyCustomElement(class SimpleToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const { icon, iconClassName, title, message, subtitle } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof H) {
            iconHtml = icon.outerHTML;
        }
        return (h("transaction-toast-wrapper", { key: 'aa80c314d2460906d2858a64856925ccd11b95f3', wrapperId: `toast-${this.toast.toastId}` }, h("div", { key: 'f3b7e154ad973a9b42563a0a0b8d2d167d81d326', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, iconHtml && (h("div", { key: '80601c266cc719a438a6bb26a93cebe736f40b1a', class: classNames('content-left', { 'no-icon': !iconHtml }) }, h("div", { key: '679093eaa22d59de78a44101aba4ac6059b17039', class: classNames('content-icon', iconClassName), innerHTML: iconHtml }))), h("div", { key: '8af0efeeabd8cfc965b6be0c27278551442a4130', class: "content-right" }, title && (h("div", { key: 'd0421a98d1c8eff2f8dc31663f2e9ca2235d3ab4', class: "content-heading" }, h("h5", { key: 'b624b26d2e52c9bed7ff21f0852cb9354ec14d90', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title))), h("button", { key: '11de9b386d1e6003120677167498db715fe7c0b0', onClick: () => this.handleDeleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) }), subtitle && h("div", { key: '8941758ed269595cd05e60aadf9bbbd093cfc09b', class: "subtitle" }, subtitle), message && h("div", { key: 'dadeaaaa591540e4a7acac024906398fab5179e7', class: classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
    static get style() { return SimpleToastStyle0; }
}, [1, "simple-toast", {
        "toast": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["simple-toast", "transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "simple-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SimpleToast);
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { SimpleToast as S, defineCustomElement as d };

//# sourceMappingURL=p-896c4eff.js.map