import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { c as classNames } from './p-12360e4c.js';
import { g as getIconHtmlFromIconDefinition } from './p-afa2d560.js';

const faIconCss = ".fa-icon .svg-inline--fa{align-items:center;display:flex;height:1rem;justify-content:center}";
const FaIconStyle0 = faIconCss;

const FaIcon = /*@__PURE__*/ proxyCustomElement(class FaIcon extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        if (!this.icon) {
            return null;
        }
        const iconHtml = getIconHtmlFromIconDefinition(this.icon);
        return h("i", { class: classNames(this.class, 'fa-icon'), innerHTML: iconHtml, title: this.description });
    }
    static get style() { return FaIconStyle0; }
}, [1, "fa-icon", {
        "class": [1],
        "icon": [16],
        "description": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "fa-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FaIcon);
            }
            break;
    } });
}

export { FaIcon as F, defineCustomElement as d };

//# sourceMappingURL=p-a40ff0c9.js.map