import { p as proxyCustomElement, H, c as createEvent, h } from './p-8a2c7dab.js';
import { b as faTimes } from './p-320b74c7.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { g as getIconHtmlFromIconDefinition } from './p-afa2d560.js';
import { g as getIconHtmlFromIconName } from './p-8088a7c7.js';
import { d as defineCustomElement$6 } from './p-acf1174f.js';
import { d as defineCustomElement$5 } from './p-a9ddb8a4.js';
import { d as defineCustomElement$4 } from './p-a40ff0c9.js';
import { d as defineCustomElement$3 } from './p-bd166741.js';
import { d as defineCustomElement$2 } from './p-52db4220.js';
import { d as defineCustomElement$1 } from './p-8cd3fb7f.js';

const transactionToastContentCss = ".content {\n  display: flex;\n  align-items: center;\n}\n.content-left {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n  padding-left: 0.5rem;\n  padding-right: 0.75rem;\n}\n.success {\n  background-color: #5cb85c;\n}\n.warning {\n  background-color: #ffc107;\n}\n.danger {\n  background-color: #d9534f;\n}\n.content-icon {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 3rem;\n  height: 3rem;\n  border-radius: 50%;\n  svg {\n    height: auto;\n    width: 20px;\n\n    path {\n      fill: white;\n    }\n  }\n}\n\n.icon-close {\n  cursor: pointer;\n  float: right;\n  font-size: 1.5rem;\n  font-weight: 700;\n  line-height: 1;\n  color: #000;\n  text-shadow: 0 1px 0 #fff;\n  opacity: 0.5;\n  padding: 0;\n  background-color: rgba(0, 0, 0, 0);\n  border: 0;\n  display: flex;\n  align-items: center;\n  margin: 0 0.5rem;\n  width: 12px;\n}\n\n.content-right {\n  display: block;\n  overflow: hidden;\n  width: 100%;\n}\n\n.content-heading {\n  display: flex;\n  justify-content: space-between;\n  margin-bottom: 0.25rem;\n}\n\n.content-heading-title {\n  margin: 0;\n  margin-bottom: 0.5rem;\n  font-weight: 500;\n  line-height: 1.2;\n  font-size: 1.25rem;\n}\n";
const TransactionToastContentStyle0 = transactionToastContentCss;

const TransactionToastContent = /*@__PURE__*/ proxyCustomElement(class TransactionToastContent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.deleteToast = createEvent(this, "deleteToast", 7);
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    render() {
        const { icon, iconClassName, title, hasCloseButton } = this.toastDataState;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof H) {
            iconHtml = icon.outerHTML;
        }
        return (h("div", { key: '90320848fe10eb6fc9ed8be5c74ea091643f7eb7', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: '78a974839143d81551d076d6fc2b58979ac1e801', class: "content-left" }, h("div", { key: 'ff85b0fe208e13f2e493d0acde312d05af5373e0', class: classNames('content-icon', iconClassName), innerHTML: iconHtml })), h("div", { key: 'a1203080aab982c00d572fea4bc9a031bc01f769', class: "content-right" }, h("div", { key: '97ad902c23134de023cd31254a4b45e2f94e1928', class: "content-heading" }, h("h5", { key: 'dfb744d224737ff286d646c09a1548a4708c0ccf', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title), hasCloseButton && h("button", { key: '6b2ce03bfd7ab7ee57d0e7a9e2d8ecebd3ce4f13', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), h("div", { key: '7e3c10e52748e4b5815aaf0f8e4710c9876c1b5b', class: "content-heading-title" }, h("transaction-toast-details", { key: 'b5d327160ea504bc91fe474dc5ac645dcfbacb80', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })))));
    }
    static get style() { return TransactionToastContentStyle0; }
}, [1, "transaction-toast-content", {
        "transactions": [16],
        "toastDataState": [16],
        "processedTransactionsStatus": [1, "processed-transactions-status"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-content", "copy-button", "explorer-link", "fa-icon", "transaction-toast-details", "transaction-toast-details-body", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastContent);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionToastContent as T, defineCustomElement as d };

//# sourceMappingURL=p-afa7e91f.js.map