import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { d as defineCustomElement$3 } from './p-a9ddb8a4.js';
import { d as defineCustomElement$2 } from './p-a40ff0c9.js';
import { d as defineCustomElement$1 } from './p-f1559b97.js';

const TransactionHash = /*@__PURE__*/ proxyCustomElement(class TransactionHash extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        if (!this.transaction) {
            return null;
        }
        return (h("div", { class: classNames(this.class, 'transaction-hash') }, h("transaction-icon", { iconInfo: this.transaction.iconInfo }), h("explorer-link", { dataTestId: DataTestIdsEnum.transactionLink, link: this.transaction.link, text: this.transaction.txHash })));
    }
}, [1, "transaction-hash", {
        "class": [1],
        "transaction": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-hash", "explorer-link", "fa-icon", "transaction-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-hash":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionHash);
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "transaction-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionHash as T, defineCustomElement as d };

//# sourceMappingURL=p-b0941008.js.map