import { p as proxyCustomElement, H, h, F as Fragment } from './p-8a2c7dab.js';
import { d as faChevronUp, e as faChevronDown } from './p-320b74c7.js';
import { d as defineCustomElement$5 } from './p-acf1174f.js';
import { d as defineCustomElement$4 } from './p-a9ddb8a4.js';
import { d as defineCustomElement$3 } from './p-a40ff0c9.js';
import { d as defineCustomElement$2 } from './p-52db4220.js';
import { d as defineCustomElement$1 } from './p-8cd3fb7f.js';

const transactionToastDetailsCss = ".status-title{font-size:0.875rem;margin:0.25rem 0 0.5rem;line-height:1.5;display:flex;align-items:center;cursor:pointer}.toggle-icon{margin-right:0.5rem;font-size:0.75rem;flex-shrink:0}.transaction-details-list{margin-bottom:0.5rem}.view-all-container{display:flex;justify-content:center;margin-top:0.5rem}.show-more-button{font-size:0.875rem;color:var(--mx-dapp-core-color-primary, #2044F5);text-decoration:none;cursor:pointer;background:none;border:none;padding:0;font-family:inherit}.show-more-button:hover{text-decoration:underline}";
const TransactionToastDetailsStyle0 = transactionToastDetailsCss;

const TransactionDetails = /*@__PURE__*/ proxyCustomElement(class TransactionDetails extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.maxShownTransactions = 5;
        this.isExpanded = false;
        this.showAllTransactions = false;
    }
    toggleExpand() {
        this.isExpanded = !this.isExpanded;
        // Reset showAllTransactions when collapsing
        if (!this.isExpanded) {
            this.showAllTransactions = false;
        }
    }
    showMoreTransactions() {
        this.showAllTransactions = true;
    }
    render() {
        if (this.transactions == null) {
            return null;
        }
        const hasMoreTransactionsToShow = this.transactions.length > this.maxShownTransactions;
        const hiddenTransactionsCount = this.transactions.length - this.maxShownTransactions;
        const visibleTransactions = this.showAllTransactions ? this.transactions : this.transactions.slice(0, this.maxShownTransactions);
        return (h(Fragment, null, h("div", { class: "status-title", onClick: this.toggleExpand.bind(this) }, h("fa-icon", { icon: this.isExpanded ? faChevronUp : faChevronDown, class: "toggle-icon" }), this.processedTransactionsStatus), this.isExpanded && (h("div", { class: "transaction-details-list" }, visibleTransactions.map(({ hash, status, link }) => (h("transaction-toast-details-body", { transactionClass: this.transactionClass, hash: hash, status: status, link: link, key: hash }))), hasMoreTransactionsToShow && !this.showAllTransactions && (h("div", { class: "view-all-container" }, h("button", { type: "button", class: "show-more-button", onClick: this.showMoreTransactions.bind(this) }, "Show ", hiddenTransactionsCount, " more")))))));
    }
    static get style() { return TransactionToastDetailsStyle0; }
}, [1, "transaction-toast-details", {
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "transactions": [16],
        "transactionClass": [1, "transaction-class"],
        "maxShownTransactions": [2, "max-shown-transactions"],
        "isExpanded": [32],
        "showAllTransactions": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-details", "copy-button", "explorer-link", "fa-icon", "transaction-toast-details-body", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionDetails);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionDetails as T, defineCustomElement as d };

//# sourceMappingURL=p-bd166741.js.map