import { p as proxyCustomElement, H, h, f as forceUpdate } from './p-8a2c7dab.js';
import { E as EventBus } from './p-9d530225.js';
import { d as defineCustomElement$e } from './p-acf1174f.js';
import { d as defineCustomElement$d } from './p-c35532c2.js';
import { d as defineCustomElement$c } from './p-a9ddb8a4.js';
import { d as defineCustomElement$b } from './p-a40ff0c9.js';
import { d as defineCustomElement$a } from './p-1f58c810.js';
import { d as defineCustomElement$9 } from './p-896c4eff.js';
import { d as defineCustomElement$8 } from './p-395dbe65.js';
import { d as defineCustomElement$7 } from './p-afa7e91f.js';
import { d as defineCustomElement$6 } from './p-bd166741.js';
import { d as defineCustomElement$5 } from './p-52db4220.js';
import { d as defineCustomElement$4 } from './p-3c110c7e.js';
import { d as defineCustomElement$3 } from './p-7e20e430.js';
import { d as defineCustomElement$2 } from './p-8cd3fb7f.js';

var ToastEventsEnum;
(function (ToastEventsEnum) {
    ToastEventsEnum["CLOSE_TOAST"] = "CLOSE_TOAST";
    ToastEventsEnum["TRANSACTION_TOAST_DATA_UPDATE"] = "TRANSACTION_TOAST_DATA_UPDATE";
    ToastEventsEnum["CUSTOM_TOAST_DATA_UPDATE"] = "CUSTOM_TOAST_DATA_UPDATE";
})(ToastEventsEnum || (ToastEventsEnum = {}));

const toastListCss = ".toast-list{position:fixed;bottom:1rem;left:1rem;right:1rem;z-index:9999}@media (min-width: 760px){.toast-list{right:2rem;bottom:2rem;width:22.5rem;left:auto}}";
const ToastListStyle0 = toastListCss;

const ToastList$1 = /*@__PURE__*/ proxyCustomElement(class ToastList extends H {
    constructor() {
        super();
        this.__registerHost();
        this.eventBus = new EventBus();
    }
    async getEventBus() {
        return this.eventBus;
    }
    handleCustomToastDelete(toastId) {
        this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toastId);
    }
    handleTransactionToastDelete(toastId) {
        this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toastId);
    }
    render() {
        var _a, _b;
        return (h("div", { key: '65e3f2066ac2d53d9070fd491ac2909a0e9fe5f0', class: "toast-list", id: "toast-list" }, (_a = this.customToasts) === null || _a === void 0 ? void 0 :
            _a.map(toast => h("generic-toast", { toast: toast, onHandleDeleteToast: this.handleCustomToastDelete.bind(this, toast.toastId) })), (_b = this.transactionToasts) === null || _b === void 0 ? void 0 :
            _b.map(toast => h("transaction-toast", Object.assign({}, toast, { onHandleDeleteToast: this.handleTransactionToastDelete.bind(this, toast.toastId) })))));
    }
    transactionToastUpdate(payload) {
        this.transactionToasts = [...payload];
        forceUpdate(this);
    }
    customToastsUpdate(payload) {
        this.customToasts = [...payload];
        forceUpdate(this);
    }
    componentDidLoad() {
        this.eventBus.subscribe(ToastEventsEnum.TRANSACTION_TOAST_DATA_UPDATE, this.transactionToastUpdate.bind(this));
        this.eventBus.subscribe(ToastEventsEnum.CUSTOM_TOAST_DATA_UPDATE, this.customToastsUpdate.bind(this));
    }
    static get style() { return ToastListStyle0; }
}, [0, "toast-list", {
        "transactionToasts": [16],
        "customToasts": [16],
        "getEventBus": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["toast-list", "copy-button", "custom-toast", "explorer-link", "fa-icon", "generic-toast", "simple-toast", "transaction-toast", "transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body", "transaction-toast-progress", "transaction-toast-wrapper", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "toast-list":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ToastList$1);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$e();
            }
            break;
        case "custom-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$d();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "generic-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "simple-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "transaction-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const ToastList = ToastList$1;
const defineCustomElement = defineCustomElement$1;

export { ToastList, defineCustomElement };

//# sourceMappingURL=toast-list.js.map