import { r as registerInstance, h } from './index-755f1da5.js';
import { c as classNames } from './index-097075ad.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-55de9911.js';

const formatAmountCss = ".format-amount{align-items:center}.int-amount{color:inherit}.decimals{color:inherit}.symbol{color:inherit;margin-left:0.25rem}";
const FormatAmountStyle0 = formatAmountCss;

const FormatAmount = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.showLabel = true;
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
    renderInvalid() {
        var _a;
        return (h("span", { "data-testid": (_a = this.dataTestId) !== null && _a !== void 0 ? _a : DataTestIdsEnum.formatAmountComponent, class: this.class }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, "...")));
    }
    renderValid() {
        return (h("span", { "data-testid": this.dataTestId, class: classNames(this.class, 'format-amount') }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, this.valueInteger), this.valueDecimal && (h("span", { class: "decimals", "data-testid": DataTestIdsEnum.formatAmountDecimals }, this.valueDecimal)), this.showLabel && this.label && (h("span", { class: {
                symbol: true,
                [this.labelClass]: Boolean(this.labelClass),
            }, "data-testid": DataTestIdsEnum.formatAmountSymbol }, this.label))));
    }
};
FormatAmount.style = FormatAmountStyle0;

export { FormatAmount as format_amount };

//# sourceMappingURL=format-amount.entry.js.map