import { r as registerInstance, c as createEvent, h } from './index-755f1da5.js';

const GenericToast = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return h("custom-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
        }
        return h("simple-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
    }
};

const TransactionToast = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
        this.toastId = '';
        this.processedTransactionsStatus = '';
        this.transactions = [];
    }
    onDeleteToast() {
        this.handleDeleteToast.emit(this.toastId);
    }
    render() {
        var _a, _b;
        return (h("transaction-toast-wrapper", { key: 'c245356bd6bc45c9364748890066057ebc9a8f74', wrapperId: `toast-${this.toastId}`, wrapperClass: this.wrapperClass }, h("transaction-toast-progress", { key: this.toastId, startTime: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.startTime, endTime: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.endTime }, h("transaction-toast-content", { key: '9277558a63dc89e993a8c12da10be45151b72c7e', onDeleteToast: this.onDeleteToast.bind(this), processedTransactionsStatus: this.processedTransactionsStatus, toastDataState: this.toastDataState, transactions: this.transactions }))));
    }
};

export { GenericToast as generic_toast, TransactionToast as transaction_toast };

//# sourceMappingURL=generic-toast_2.entry.js.map