import { r as registerInstance, h, f as forceUpdate } from './index-755f1da5.js';
import { E as EventBus } from './EventBus-56ba7d6d.js';

var ToastEventsEnum;
(function (ToastEventsEnum) {
    ToastEventsEnum["CLOSE_TOAST"] = "CLOSE_TOAST";
    ToastEventsEnum["TRANSACTION_TOAST_DATA_UPDATE"] = "TRANSACTION_TOAST_DATA_UPDATE";
    ToastEventsEnum["CUSTOM_TOAST_DATA_UPDATE"] = "CUSTOM_TOAST_DATA_UPDATE";
})(ToastEventsEnum || (ToastEventsEnum = {}));

const toastListCss = ".toast-list{position:fixed;bottom:1rem;left:1rem;right:1rem;z-index:9999}@media (min-width: 760px){.toast-list{right:2rem;bottom:2rem;width:22.5rem;left:auto}}";
const ToastListStyle0 = toastListCss;

const ToastList = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.eventBus = new EventBus();
    }
    async getEventBus() {
        return this.eventBus;
    }
    handleCustomToastDelete(toastId) {
        this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toastId);
    }
    handleTransactionToastDelete(toastId) {
        this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toastId);
    }
    render() {
        var _a, _b;
        return (h("div", { key: '65e3f2066ac2d53d9070fd491ac2909a0e9fe5f0', class: "toast-list", id: "toast-list" }, (_a = this.customToasts) === null || _a === void 0 ? void 0 :
            _a.map(toast => h("generic-toast", { toast: toast, onHandleDeleteToast: this.handleCustomToastDelete.bind(this, toast.toastId) })), (_b = this.transactionToasts) === null || _b === void 0 ? void 0 :
            _b.map(toast => h("transaction-toast", Object.assign({}, toast, { onHandleDeleteToast: this.handleTransactionToastDelete.bind(this, toast.toastId) })))));
    }
    transactionToastUpdate(payload) {
        this.transactionToasts = [...payload];
        forceUpdate(this);
    }
    customToastsUpdate(payload) {
        this.customToasts = [...payload];
        forceUpdate(this);
    }
    componentDidLoad() {
        this.eventBus.subscribe(ToastEventsEnum.TRANSACTION_TOAST_DATA_UPDATE, this.transactionToastUpdate.bind(this));
        this.eventBus.subscribe(ToastEventsEnum.CUSTOM_TOAST_DATA_UPDATE, this.customToastsUpdate.bind(this));
    }
};
ToastList.style = ToastListStyle0;

export { ToastList as toast_list };

//# sourceMappingURL=toast-list.entry.js.map